      program implicit
c Integrere svingeligningen med implisitt Euler
      parameter(y0=1.,u0=1.,itemx=100000,del=0.0001,om=1.)
      yn=y0
      un=u0
      rat=1./(1.+del**2*om**2)
      deo=del*om**2
      do ite=1,itemx
      ynp1=rat*(yn+del*un)
      unp1=rat*(-deo*yn+un)
      write(*,*) ynp1,unp1
      yn=ynp1
      un=unp1
      enddo
      end 
